Skip to main content
PUT
https://api.aisa.one/apis/v1
/
apollo
/
phone_calls
/
{id}
Update Call Records
curl --request PUT \
  --url https://api.aisa.one/apis/v1/apollo/phone_calls/{id} \
  --header 'Authorization: Bearer <token>'
{
  "phone_call": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Call record ID.

Query Parameters

logged
boolean

Whether to create an individual record.

user_id[]
string[]

Caller user IDs.

contact_id
string

Contact ID.

account_id
string

Account ID.

to_number
string

Dialed phone number.

from_number
string

Caller phone number.

status
string

Call status.

start_time
string

ISO 8601 start time.

end_time
string

ISO 8601 end time.

duration
integer

Duration in seconds.

phone_call_purpose_id
string

Purpose ID.

phone_call_outcome_id
string

Outcome ID.

Response

Successful response

phone_call
object

Updated call record (when returned).